[Scipy-tickets] [SciPy] #549: sparsetools does not compiler with sunstudio (solaris)

SciPy scipy-tickets@scipy....
Sun Dec 2 04:11:52 CST 2007


#549: sparsetools does not compiler with sunstudio (solaris)
--------------------------+-------------------------------------------------
 Reporter:  cdavid        |       Owner:  somebody
     Type:  defect        |      Status:  new     
 Priority:  normal        |   Milestone:  0.7     
Component:  scipy.sparse  |     Version:          
 Severity:  normal        |    Keywords:          
--------------------------+-------------------------------------------------
 When trying to build scipy on solaris with sun studio compilers (v11), I
 got an error with the sparsetools module (swig generated file).

 One error is related with multiplies, which is not found in the std
 namespace by the CC compiler: this seems to be a problem with swig (or its
 usage). multiplies is to be found in functional header, (according to stl
 docs, which is the closest thing I know to the C++ standard when stl is
 concerned ?), which is not included in the source file.

 I think adding #include <functional> in sparsetools.h would be enough, but
 I don't know how to generate the swig source files: the one I got by
 generating is significantly different than the one in scipy repository.

-- 
Ticket URL: <http://scipy.org/scipy/scipy/ticket/549>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list